Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1807409 - Review Request: R-RhpcBLASctl - Control the Number of Threads on BLAS
Summary: Review Request: R-RhpcBLASctl - Control the Number of Threads on BLAS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 09:56 UTC by Elliott Sales de Andrade
Modified: 2020-03-16 20:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-08 00:08:35 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-02-26 09:56:23 UTC
Spec URL: https://qulogic.fedorapeople.org//R-RhpcBLASctl.spec
SRPM URL: https://qulogic.fedorapeople.org//R-RhpcBLASctl-0.20.17-1.fc30.src.rpm

Description:
b'Control the number of threads on BLAS (aka GotoBLAS, OpenBLAS, ACML, BLIS and\nMKL). And possible to control the number of threads in OpenMP. Get a number of\nlogical cores and physical cores if feasible.'

Comment 1 Elliott Sales de Andrade 2020-02-26 09:56:27 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=41925530

Comment 2 José Matos 2020-02-26 23:39:16 UTC
The package is simple. :-)

The complaints of fedora-review are:
- Package have the default element marked as %%doc :DESCRIPTION
- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

The first is bogus.
The second makes sense on the paper but since this is binary package it already requires R-core.

The third one and taking example of the rstudio review
https://bugzilla.redhat.com/show_bug.cgi?id=1803528

according to the link above it should be listed explicitly.

I have asked in the package mailing list for a clarification but meanwhile it does not hurt to include it directly.

The package is approved.

Comment 3 Elliott Sales de Andrade 2020-02-26 23:46:32 UTC
(In reply to José Matos from comment #2)
> - Package requires R-core.
>
> The second makes sense on the paper but since this is binary package it already requires R-core.

In fact, fedora-review is outdated here, because the automatic dependency generator will always add it.

[1] https://docs.fedoraproject.org/en-US/packaging-guidelines/R/#_automatically_generated_dependencies

Comment 4 Gwyn Ciesla 2020-02-27 14:31:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-RhpcBLASctl

Comment 5 Fedora Update System 2020-02-28 23:04:02 UTC
FEDORA-2020-1d06f78ba4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1d06f78ba4

Comment 6 Fedora Update System 2020-02-28 23:04:52 UTC
FEDORA-2020-a3c0cf5828 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3c0cf5828

Comment 7 Fedora Update System 2020-02-29 01:22:49 UTC
R-RhpcBLASctl-0.20.17-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-446e91a88b

Comment 8 Fedora Update System 2020-02-29 03:11:58 UTC
R-RhpcBLASctl-0.20.17-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1d06f78ba4

Comment 9 Fedora Update System 2020-02-29 04:00:10 UTC
R-RhpcBLASctl-0.20.17-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3c0cf5828

Comment 10 Fedora Update System 2020-03-08 00:08:35 UTC
R-RhpcBLASctl-0.20.17-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-03-08 00:51:26 UTC
R-RhpcBLASctl-0.20.17-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-03-16 20:17:41 UTC
R-RhpcBLASctl-0.20.17-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-03-16 20:30:16 UTC
R-RhpcBLASctl-0.20.17-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.